package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.HashMap;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmGenEligRuleForm extends HrmBaseForm {
  private HashMap eligibilityClasses = new HashMap();
  
  private String operator;
  
  private String values;
  
  private String formula;
  
  private String eligibilityClass;
  
  private String txtHidSubmitFirst;
  
  private String hidAction;
  
  private String hidFormula;
  
  private String hidDocumentCodeId;
  
  private String documentType;
  
  private String documentCode;
  
  private String hidValuesId;
  
  private String eligSql;
  
  String disaboperator;
  
  String disabvalues;
  
  String disabformula;
  
  String disabeligibilityClass;
  
  String disabtxtHidSubmitFirst;
  
  String disabhidAction;
  
  String disabhidFormula;
  
  String disabhidDocumentCodeId;
  
  String disabdocumentType;
  
  private String disabdocumentCode;
  
  String disabhidValuesId;
  
  String disabeligSql;
  
  private String disabbutDocumentCode;
  
  private String disabbutOr;
  
  private String disabbutAnd;
  
  private String disabbutShowFormula;
  
  private String disabbutValues;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public HashMap getEligibilityClasses() {
    return this.eligibilityClasses;
  }
  
  public void setEligibilityClasses(HashMap newEligibilityClasses) {
    this.eligibilityClasses = newEligibilityClasses;
  }
  
  public String getOperator() {
    return this.operator;
  }
  
  public void setOperator(String newOperator) {
    this.operator = newOperator;
  }
  
  public String getValues() {
    return this.values;
  }
  
  public void setValues(String newValues) {
    this.values = newValues;
  }
  
  public String getFormula() {
    return this.formula;
  }
  
  public void setFormula(String newFormula) {
    this.formula = newFormula;
  }
  
  public String getEligibilityClass() {
    return this.eligibilityClass;
  }
  
  public void setEligibilityClass(String newEligibilityClass) {
    this.eligibilityClass = newEligibilityClass;
  }
  
  public String getTxtHidSubmitFirst() {
    return this.txtHidSubmitFirst;
  }
  
  public void setTxtHidSubmitFirst(String newTxtHidSubmitFirst) {
    this.txtHidSubmitFirst = newTxtHidSubmitFirst;
  }
  
  public String getHidAction() {
    return this.hidAction;
  }
  
  public void setHidAction(String newHidAction) {
    this.hidAction = newHidAction;
  }
  
  public String getHidFormula() {
    return this.hidFormula;
  }
  
  public void setHidFormula(String newHidFormula) {
    this.hidFormula = newHidFormula;
  }
  
  public String getHidDocumentCodeId() {
    return this.hidDocumentCodeId;
  }
  
  public void setHidDocumentCodeId(String newHidDocumentCodeId) {
    this.hidDocumentCodeId = newHidDocumentCodeId;
  }
  
  public String getDocumentType() {
    return this.documentType;
  }
  
  public void setDocumentType(String newDocumentType) {
    this.documentType = newDocumentType;
  }
  
  public String getDocumentCode() {
    return this.documentCode;
  }
  
  public void setDocumentCode(String newDocumentCode) {
    this.documentCode = newDocumentCode;
  }
  
  public String getHidValuesId() {
    return this.hidValuesId;
  }
  
  public void setHidValuesId(String newHidValuesId) {
    this.hidValuesId = newHidValuesId;
  }
  
  public String getEligSql() {
    return this.eligSql;
  }
  
  public void setEligSql(String newEligSql) {
    this.eligSql = newEligSql;
  }
  
  public String getDisaboperator() {
    return this.disaboperator;
  }
  
  public void setDisaboperator(String newDisaboperator) {
    this.disaboperator = newDisaboperator;
  }
  
  public String getDisabvalues() {
    return this.disabvalues;
  }
  
  public void setDisabvalues(String newDisabvalues) {
    this.disabvalues = newDisabvalues;
  }
  
  public String getDisabformula() {
    return this.disabformula;
  }
  
  public void setDisabformula(String newDisabformula) {
    this.disabformula = newDisabformula;
  }
  
  public String getDisabeligibilityClass() {
    return this.disabeligibilityClass;
  }
  
  public void setDisabeligibilityClass(String newDisabeligibilityClass) {
    this.disabeligibilityClass = newDisabeligibilityClass;
  }
  
  public String getDisabtxtHidSubmitFirst() {
    return this.disabtxtHidSubmitFirst;
  }
  
  public void setDisabtxtHidSubmitFirst(String newDisabtxtHidSubmitFirst) {
    this.disabtxtHidSubmitFirst = newDisabtxtHidSubmitFirst;
  }
  
  public String getDisabhidAction() {
    return this.disabhidAction;
  }
  
  public void setDisabhidAction(String newDisabhidAction) {
    this.disabhidAction = newDisabhidAction;
  }
  
  public String getDisabhidFormula() {
    return this.disabhidFormula;
  }
  
  public void setDisabhidFormula(String newDisabhidFormula) {
    this.disabhidFormula = newDisabhidFormula;
  }
  
  public String getDisabhidDocumentCodeId() {
    return this.disabhidDocumentCodeId;
  }
  
  public void setDisabhidDocumentCodeId(String newDisabhidDocumentCodeId) {
    this.disabhidDocumentCodeId = newDisabhidDocumentCodeId;
  }
  
  public String getDisabdocumentType() {
    return this.disabdocumentType;
  }
  
  public void setDisabdocumentType(String newDisabdocumentType) {
    this.disabdocumentType = newDisabdocumentType;
  }
  
  public String getDisabdocumentCode() {
    return this.disabdocumentCode;
  }
  
  public void setDisabdocumentCode(String newDisabdocumentCode) {
    this.disabdocumentCode = newDisabdocumentCode;
  }
  
  public String getDisabhidValuesId() {
    return this.disabhidValuesId;
  }
  
  public void setDisabhidValuesId(String newDisabhidValuesId) {
    this.disabhidValuesId = newDisabhidValuesId;
  }
  
  public String getDisabeligSql() {
    return this.disabeligSql;
  }
  
  public void setDisabeligSql(String newDisabeligSql) {
    this.disabeligSql = newDisabeligSql;
  }
  
  public String getDisabbutDocumentCode() {
    return this.disabbutDocumentCode;
  }
  
  public void setDisabbutDocumentCode(String newDisabbutDocumentCode) {
    this.disabbutDocumentCode = newDisabbutDocumentCode;
  }
  
  public String getDisabbutOr() {
    return this.disabbutOr;
  }
  
  public void setDisabbutOr(String newDisabbutOr) {
    this.disabbutOr = newDisabbutOr;
  }
  
  public String getDisabbutAnd() {
    return this.disabbutAnd;
  }
  
  public void setDisabbutAnd(String newDisabbutAnd) {
    this.disabbutAnd = newDisabbutAnd;
  }
  
  public String getDisabbutShowFormula() {
    return this.disabbutShowFormula;
  }
  
  public void setDisabbutShowFormula(String newDisabbutShowFormula) {
    this.disabbutShowFormula = newDisabbutShowFormula;
  }
  
  public String getDisabbutValues() {
    return this.disabbutValues;
  }
  
  public void setDisabbutValues(String newDisabbutValues) {
    this.disabbutValues = newDisabbutValues;
  }
}
